# Immunotherapy related adverse effects toolbox

Manage images and data related to irAE project.

# Slicer module

## Installation
Download the [code][iraemm] and [dependencies][SlicerLabkeyExtension]. Unzip. To
have Slicer know where the files are, open Slicer, and under Edit->Application settings 
select Modules section. Under Paths, click on Add and navigate to newly unzipped
directories. We need `labkeyBrowser` and `DICOMtools` from `SlcierLabkeyExtension` and 
`slicerModule` from `iraeMM` code. After clicking `OK`, Slicer will and has to
be restarted.

## Setup
To access LabKey, the Slicer tools must be configured. Do that by selecting LabKey->labkeyBrowser
module from module list and fill appropriate fields.

### Onko-nix
For accessing OIL internal site, the settings are:
- Server: `http://onko-nix.onko-i.si:8080
- Labkey username: username, given at the LabKey site, typically your email
- Labkey password: password, generated when accessing LabKey site




### Dependencies 
To access LabKey, the [python API][labkeyInterface] was used.
Anonymization and NIfTI conversion are based on phenomenal [nibabel][] tools. 
Data storage is provided by [Orthanc][] with associated [interface][orthancInterface].

### Usage

Anonymization must be run as a `tomcat8` user for access to data files. Check setup 
in the `anonymization.py` and run it with `runPython.sh anonymization.py`. 

[SlicerLabkeyExtension]:http://wiscigt.powertheword.com/labkey/SlicerLabkeyExtension/-/archive/SlicerExtensionIndex/SlicerLabkeyExtension-SlicerExtensionIndex.zip
[iraemm]: http://wiscigt.powertheword.com/oil/iraemm/-/archive/master/iraemm-master.zip
[nibabel]: https://nipy.org/nibabel/gettingstarted.html
[labkeyInterface]: http://wiscigt.powertheword.com/andrej.studen/labkeyInterface
[Orthanc]:https://www.orthanc-server.com
[orthancInterface]: http://wiscigt.powertheword.com/andrej.studen/orthancinterface